<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>Uses of Class noyau.Pioche</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class noyau.Pioche";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../noyau/Pioche.html" title="class in noyau">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?noyau/class-use/Pioche.html" target="_top">Frames</a></li>
<li><a href="Pioche.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class noyau.Pioche" class="title">Uses of Class<br>noyau.Pioche</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#noyau">noyau</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="noyau">
<!--   -->
</a>
<h3>Uses of <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a> in <a href="../../noyau/package-summary.html">noyau</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../noyau/package-summary.html">noyau</a> with parameters of type <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante12.</span><code><span class="memberNameLink"><a href="../../noyau/Variante12.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#applicationRegle-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">applicationRegle</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
                <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
                <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
                <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Permet d'appeler la methode correspondant à la carte à jouer (en fonction de sa valeur)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante7.</span><code><span class="memberNameLink"><a href="../../noyau/Variante7.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante5.</span><code><span class="memberNameLink"><a href="../../noyau/Variante5.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante2.</span><code><span class="memberNameLink"><a href="../../noyau/variante2.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante11.</span><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante10.</span><code><span class="memberNameLink"><a href="../../noyau/Variante10.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouee,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Redéfinition de la méthode as de la classe Regle</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#as-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
  <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
  <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
  <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
  <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante7.</span><code><span class="memberNameLink"><a href="../../noyau/Variante7.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante11.</span><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante10.</span><code><span class="memberNameLink"><a href="../../noyau/Variante10.html#as2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">as2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#cinq-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">cinq</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante10.</span><code><span class="memberNameLink"><a href="../../noyau/Variante10.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante5.</span><code><span class="memberNameLink"><a href="../../noyau/Variante5.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante8.</span><code><span class="memberNameLink"><a href="../../noyau/Variante8.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante5.</span><code><span class="memberNameLink"><a href="../../noyau/Variante5.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante11.</span><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><span class="typeNameLabel">StrategieClassique.</span><code><span class="memberNameLink"><a href="../../noyau/StrategieClassique.html#executer-noyau.Joueur-noyau.Pile-noyau.Pioche-">executer</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j,
        <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
        <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Application de la stratégie au joueur passé en paramètre</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><span class="typeNameLabel">StrategieAggressive.</span><code><span class="memberNameLink"><a href="../../noyau/StrategieAggressive.html#executer-noyau.Joueur-noyau.Pile-noyau.Pioche-">executer</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j,
        <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
        <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Application de la stratégie au joueur artificiel passé en paramètre</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../noyau/Carte.html" title="class in noyau">Carte</a></code></td>
<td class="colLast"><span class="typeNameLabel">Strategie.</span><code><span class="memberNameLink"><a href="../../noyau/Strategie.html#executer-noyau.Joueur-noyau.Pile-noyau.Pioche-">executer</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j,
        <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
        <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Application de la stratégie au joueur passé en paramètre</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante4.</span><code><span class="memberNameLink"><a href="../../noyau/Variante4.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante2.</span><code><span class="memberNameLink"><a href="../../noyau/variante2.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#huit-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">huit</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante12.</span><code><span class="memberNameLink"><a href="../../noyau/Variante12.html#joker-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">joker</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante8.</span><code><span class="memberNameLink"><a href="../../noyau/Variante8.html#neuf-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Controleur-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
    <a href="../../noyau/Controleur.html" title="class in noyau">Controleur</a>&nbsp;control)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante2.</span><code><span class="memberNameLink"><a href="../../noyau/variante2.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#neuf-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">neuf</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#quatre-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-noyau.Joueur-">quatre</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
      <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
      <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
      <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche,
      <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#roi-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">roi</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante8.</span><code><span class="memberNameLink"><a href="../../noyau/Variante8.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante7.</span><code><span class="memberNameLink"><a href="../../noyau/Variante7.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante5.</span><code><span class="memberNameLink"><a href="../../noyau/Variante5.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante4.</span><code><span class="memberNameLink"><a href="../../noyau/Variante4.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante2.</span><code><span class="memberNameLink"><a href="../../noyau/variante2.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante12.</span><code><span class="memberNameLink"><a href="../../noyau/Variante12.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante11.</span><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante10.</span><code><span class="memberNameLink"><a href="../../noyau/Variante10.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#sept-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
    <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
    <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
    <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
    <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#sept2-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">sept2</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;piocher)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;piocher)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#six-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">six</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
   <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
   <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
   <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;piocher)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante3.</span><code><span class="memberNameLink"><a href="../../noyau/variante3.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#trois-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">trois</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante9.</span><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante6.</span><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante4.</span><code><span class="memberNameLink"><a href="../../noyau/Variante4.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">variante2.</span><code><span class="memberNameLink"><a href="../../noyau/variante2.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante17.</span><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante16.</span><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante15.</span><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante14.</span><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante13.</span><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante12.</span><code><span class="memberNameLink"><a href="../../noyau/Variante12.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante11.</span><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Variante1.</span><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract int</code></td>
<td class="colLast"><span class="typeNameLabel">Regle.</span><code><span class="memberNameLink"><a href="../../noyau/Regle.html#valet-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">valet</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;joueur,
     <a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;suivant,
     <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
     <a href="../../noyau/Pile.html" title="class in noyau">Pile</a>&nbsp;pile,
     <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../noyau/package-summary.html">noyau</a> with parameters of type <a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Pile.html#Pile-noyau.Pioche-">Pile</a></span>(<a href="../../noyau/Pioche.html" title="class in noyau">Pioche</a>&nbsp;pioche)</code>
<div class="block">Constucteur de la class Pile
 On prend la pioche en paramètre car on prend la dernière carte de la pioche pour créer la pile</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../noyau/Pioche.html" title="class in noyau">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?noyau/class-use/Pioche.html" target="_top">Frames</a></li>
<li><a href="Pioche.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
